From d426d7b06723da458556bf3a87d0c307ba5514cd Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Oct 10 2017 08:24:31 +0000
Subject: [PATCH 974/1001] Transmit the 'archived' status to the UI.


---

diff --git a/hubs/models.py b/hubs/models.py
index 3cc5850..55730c3 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -322,6 +322,7 @@ class Hub(ObjectAuthzMixin, BASE):
     def __json__(self):
         return {
             'name': self.name,
+            'archived': self.archived,
             'config': self.config.__json__(),
 
             'widgets': [widget.idx for widget in self.widgets],
diff --git a/hubs/static/client/app/components/CobWeb/index.js b/hubs/static/client/app/components/CobWeb/index.js
index 4333f20..582b494 100644
--- a/hubs/static/client/app/components/CobWeb/index.js
+++ b/hubs/static/client/app/components/CobWeb/index.js
@@ -11,7 +11,7 @@ export default class CobWeb extends React.Component {
     const old_limit = Date.now() - (1000 * 86400 * 31);  // 31 days
     let icon = null, msg = null;
 
-    if (this.props.hub.config.archived) {
+    if (this.props.hub.archived) {
         icon = ArchivedIcon;
         msg = "This hub has been archived and locked.";
     } else if (this.props.hub.mtime < old_limit) {

